Plugin Directory

!This plugin hasn’t been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Google Wave Element

Add the Wave Element to your blog so visitors can see and interact with the wave on your site. This is an easy way to take advantage of the collaborat

Requires: 2.5 or higher
Compatible up to: 2.9.2
Last Updated: 2010-5-3
Active Installs: 10+


0 out of 5 stars


Got something to say? Need help?


Not enough data

0 people say it works.
0 people say it's broken.